import { BpSdkStore, loadGuestApplicationForm } from '@boldpenguin/sdk-redux';
import { IAuthenticatorConfig, ICreateAppFormContainerComponent, IPartnerEngineConfig, IStorefront } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkCreateAppFormContainer implements ICreateAppFormContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    loadGuestApplicationForm: typeof loadGuestApplicationForm;
    /**
     * PartnerEngine Config injected from redux
     */
    peConfig: IPartnerEngineConfig;
    /**
     * Authenticator config injected from redux
     */
    authConfig: IAuthenticatorConfig;
    /**
     * Storefront code
     */
    storefrontCode: string;
    /**
     * Button Text
     */
    text: string;
    buttonDisabled: boolean;
    useExternal: boolean;
    storeFront: IStorefront;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    componentWillLoad(): void;
    mapStateToProps: (state: BpSdkStore) => {
        peConfig: IPartnerEngineConfig;
        authConfig: IAuthenticatorConfig;
    };
    disconnectedCallback(): void;
    createApp: () => void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
